﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerInput : MonoBehaviour
{
    private float chargeTime;
    private Hammer hammer;

    // Called in begin play.
    void Start()
    {
        chargeTime = 0.0f;
        hammer = FindObjectOfType<Hammer>();
    }

    // Called every frame.
    void Update()
    {
        if (Input.GetKey(KeyCode.Space))
        {
            OnInputCharge();
        }
        else if (Input.GetKeyUp(KeyCode.Space))
        {
            OnInputRelease();
        }
    }

    // Called every frame when input is held.
    void OnInputCharge()
    {
        chargeTime += Time.deltaTime;

        if (hammer)
        {
            hammer.ChargeHammer(chargeTime);
        }
    }

    // Called the moment input is released.
    void OnInputRelease()
    {
        Debug.Log("Charge: " + chargeTime);

        if (hammer)
        {
            hammer.StrikeHammer(chargeTime);
        }

        chargeTime = 0.0f;
    }

}

